commit:     34ee96ad9de24ad48c0cf6067dcceef8f92c353e
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Sat May 27 20:29:04 2023 +0000
Commit:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
CommitDate: Sat May 27 20:29:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=34ee96ad

sys-cluster/opencoarrays: fix install '*.a' without static-libs USE

Closes: https://bugs.gentoo.org/901423

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>

 ...pencoarrays-2.10.0.ebuild => opencoarrays-2.10.0-r1.ebuild} | 10 +++++++++-
 ...pencoarrays-2.10.1.ebuild => opencoarrays-2.10.1-r1.ebuild} | 10 +++++++++-
 ...{opencoarrays-2.9.3.ebuild => opencoarrays-2.9.3-r1.ebuild} | 10 +++++++++-
 3 files changed, 27 insertions(+), 3 deletions(-)

diff --git a/sys-cluster/opencoarrays/opencoarrays-2.10.0.ebuild 
b/sys-cluster/opencoarrays/opencoarrays-2.10.0-r1.ebuild
similarity index 88%
rename from sys-cluster/opencoarrays/opencoarrays-2.10.0.ebuild
rename to sys-cluster/opencoarrays/opencoarrays-2.10.0-r1.ebuild
index 483ed4d3c..e235d00f7 100644
--- a/sys-cluster/opencoarrays/opencoarrays-2.10.0.ebuild
+++ b/sys-cluster/opencoarrays/opencoarrays-2.10.0-r1.ebuild
@@ -23,7 +23,7 @@ KEYWORDS="~amd64 ~x86"
 # Tests fail with FEATURES="network-sandbox" for most versions of openmpi and 
mpich it with error:
 # "No network interfaces were found for out-of-band communications.
 #  We require at least one available network for out-of-band messaging."
-IUSE="test"
+IUSE="static-libs test"
 PROPERTIES="test_network"
 RESTRICT="!test? ( test )"
 
@@ -43,3 +43,11 @@ src_configure() {
 
        cmake_src_configure
 }
+
+src_install() {
+       cmake_src_install
+
+       if ! use static-libs ; then
+               find "${ED}" -name '*.a' -delete || die # Bug 901423
+       fi
+}

diff --git a/sys-cluster/opencoarrays/opencoarrays-2.10.1.ebuild 
b/sys-cluster/opencoarrays/opencoarrays-2.10.1-r1.ebuild
similarity index 88%
rename from sys-cluster/opencoarrays/opencoarrays-2.10.1.ebuild
rename to sys-cluster/opencoarrays/opencoarrays-2.10.1-r1.ebuild
index 4080b13e9..1afe6919a 100644
--- a/sys-cluster/opencoarrays/opencoarrays-2.10.1.ebuild
+++ b/sys-cluster/opencoarrays/opencoarrays-2.10.1-r1.ebuild
@@ -23,7 +23,7 @@ KEYWORDS="~amd64 ~x86"
 # Tests fail with FEATURES="network-sandbox" for most versions of openmpi and 
mpich it with error:
 # "No network interfaces were found for out-of-band communications.
 #  We require at least one available network for out-of-band messaging."
-IUSE="test"
+IUSE="static-libs test"
 PROPERTIES="test_network"
 RESTRICT="!test? ( test )"
 
@@ -46,3 +46,11 @@ src_configure() {
 
        cmake_src_configure
 }
+
+src_install() {
+       cmake_src_install
+
+       if ! use static-libs ; then
+               find "${ED}" -name '*.a' -delete || die # Bug 901423
+       fi
+}

diff --git a/sys-cluster/opencoarrays/opencoarrays-2.9.3.ebuild 
b/sys-cluster/opencoarrays/opencoarrays-2.9.3-r1.ebuild
similarity index 88%
rename from sys-cluster/opencoarrays/opencoarrays-2.9.3.ebuild
rename to sys-cluster/opencoarrays/opencoarrays-2.9.3-r1.ebuild
index 483ed4d3c..e235d00f7 100644
--- a/sys-cluster/opencoarrays/opencoarrays-2.9.3.ebuild
+++ b/sys-cluster/opencoarrays/opencoarrays-2.9.3-r1.ebuild
@@ -23,7 +23,7 @@ KEYWORDS="~amd64 ~x86"
 # Tests fail with FEATURES="network-sandbox" for most versions of openmpi and 
mpich it with error:
 # "No network interfaces were found for out-of-band communications.
 #  We require at least one available network for out-of-band messaging."
-IUSE="test"
+IUSE="static-libs test"
 PROPERTIES="test_network"
 RESTRICT="!test? ( test )"
 
@@ -43,3 +43,11 @@ src_configure() {
 
        cmake_src_configure
 }
+
+src_install() {
+       cmake_src_install
+
+       if ! use static-libs ; then
+               find "${ED}" -name '*.a' -delete || die # Bug 901423
+       fi
+}

Reply via email to